Open CASCADE Technology: PGeom_BezierSurface Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PGeom_BezierSurface Class Reference

`#include <PGeom_BezierSurface.hxx>`

Inheritance diagram for PGeom_BezierSurface:
[legend]

## Public Member Functions
| PGeom_BezierSurface ()
| Creates a BezierSurface with default values. More...
| PGeom_BezierSurface (const Standard_Boolean aURational, const Standard_Boolean aVRational, const Handle< PColgp_HArray2OfPnt > &aPoles, const Handle< PColStd_HArray2OfReal > &aWeights)
| Creates a BezierSurface with these values. More...
void | Poles (const Handle< PColgp_HArray2OfPnt > &aPoles)
| Set the field poles with <aPoles>. More...
Handle< PColgp_HArray2OfPnt > | Poles () const
| Returns the value of the field poles. More...
void | Weights (const Handle< PColStd_HArray2OfReal > &aWeights)
| Set the value of the field weights with <aWeights>. More...
Handle< PColStd_HArray2OfReal > | Weights () const
| Returns the value of the field weights. More...
void | URational (const Standard_Boolean aURational)
| Set the value of the field uRational with <aURational>. More...
Standard_Boolean | URational () const
| Returns the value of the field uRational. More...
void | VRational (const Standard_Boolean aVRational)
| Set the value of the field vRational with <aVRational>. More...
Standard_Boolean | VRational () const
| Returns the value of the field vRational. More...
| PGeom_BezierSurface (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPGeom_BezierSurfaceuRational () const
void | _CSFDB_SetPGeom_BezierSurfaceuRational (const Standard_Boolean p)
Standard_Boolean | _CSFDB_GetPGeom_BezierSurfacevRational () const
void | _CSFDB_SetPGeom_BezierSurfacevRational (const Standard_Boolean p)
Handle< PColgp_HArray2OfPnt > | _CSFDB_GetPGeom_BezierSurfacepoles () const
void | _CSFDB_SetPGeom_BezierSurfacepoles (const Handle< PColgp_HArray2OfPnt > &p)
Handle< PColStd_HArray2OfReal > | _CSFDB_GetPGeom_BezierSurfaceweights () const
void | _CSFDB_SetPGeom_BezierSurfaceweights (const Handle< PColStd_HArray2OfReal > &p)
Public Member Functions inherited from PGeom_BoundedSurface
| PGeom_BoundedSurface (const Storage_stCONSTclCOM &a)
| PGeom_BoundedSurface ()
Public Member Functions inherited from PGeom_Surface
| PGeom_Surface (const Storage_stCONSTclCOM &a)
| PGeom_Surface ()
Public Member Functions inherited from PGeom_Geometry
| PGeom_Geometry (const Storage_stCONSTclCOM &a)
| PGeom_Geometry ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PGeom_BezierSurface::PGeom_BezierSurface | ( |  | ) |

Creates a BezierSurface with default values.

PGeom_BezierSurface::PGeom_BezierSurface | ( | const Standard_Boolean | aURational,
|  | const Standard_Boolean | aVRational,
|  | const Handle< PColgp_HArray2OfPnt > & | aPoles,
|  | const Handle< PColStd_HArray2OfReal > & | aWeights
| ) |  |

Creates a BezierSurface with these values.

PGeom_BezierSurface::PGeom_BezierSurface | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PColgp_HArray2OfPnt > PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfacepoles | ( |  | ) | const
| inline

Standard_Boolean PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfaceuRational | ( |  | ) | const
| inline

Standard_Boolean PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfacevRational | ( |  | ) | const
| inline

Handle< PColStd_HArray2OfReal > PGeom_BezierSurface::_CSFDB_GetPGeom_BezierSurfaceweights | ( |  | ) | const
| inline

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfacepoles | ( | const Handle< PColgp_HArray2OfPnt > & | p | ) |
| inline

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfaceuRational | ( | const Standard_Boolean | p | ) |
| inline

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfacevRational | ( | const Standard_Boolean | p | ) |
| inline

void PGeom_BezierSurface::_CSFDB_SetPGeom_BezierSurfaceweights | ( | const Handle< PColStd_HArray2OfReal > & | p | ) |
| inline

void PGeom_BezierSurface::Poles | ( | const Handle< PColgp_HArray2OfPnt > & | aPoles | ) |

Set the field poles with <aPoles>.

Handle< PColgp_HArray2OfPnt > PGeom_BezierSurface::Poles | ( |  | ) | const

Returns the value of the field poles.

void PGeom_BezierSurface::URational | ( | const Standard_Boolean | aURational | ) |

Set the value of the field uRational with <aURational>.

Standard_Boolean PGeom_BezierSurface::URational | ( |  | ) | const

Returns the value of the field uRational.

void PGeom_BezierSurface::VRational | ( | const Standard_Boolean | aVRational | ) |

Set the value of the field vRational with <aVRational>.

Standard_Boolean PGeom_BezierSurface::VRational | ( |  | ) | const

Returns the value of the field vRational.

void PGeom_BezierSurface::Weights | ( | const Handle< PColStd_HArray2OfReal > & | aWeights | ) |

Set the value of the field weights with <aWeights>.

Handle< PColStd_HArray2OfReal > PGeom_BezierSurface::Weights | ( |  | ) | const

Returns the value of the field weights.

The documentation for this class was generated from the following file:

- PGeom_BezierSurface.hxx